diff --git a/test/functional/issues_controller_test.rb b/test/functional/issues_controller_test.rb
index 3b7521d40..919935638 100644
--- a/test/functional/issues_controller_test.rb
+++ b/test/functional/issues_controller_test.rb
@@ -20,34 +20,6 @@
 require_relative '../test_helper'
 
 class IssuesControllerTest < Redmine::ControllerTest
-  fixtures :projects,
-           :users, :email_addresses, :user_preferences,
-           :roles,
-           :members,
-           :member_roles,
-           :issues,
-           :issue_statuses,
-           :issue_relations,
-           :versions,
-           :trackers,
-           :projects_trackers,
-           :issue_categories,
-           :enabled_modules,
-           :enumerations,
-           :attachments,
-           :workflows,
-           :custom_fields,
-           :custom_values,
-           :custom_fields_projects,
-           :custom_fields_trackers,
-           :time_entries,
-           :journals,
-           :journal_details,
-           :queries,
-           :repositories,
-           :changesets,
-           :watchers, :groups_users
-
   include Redmine::I18n
 
   def setup
diff --git a/test/functional/issues_controller_transaction_test.rb b/test/functional/issues_controller_transaction_test.rb
index 5f7d5ba6b..3677ebf86 100644
--- a/test/functional/issues_controller_transaction_test.rb
+++ b/test/functional/issues_controller_transaction_test.rb
@@ -22,30 +22,6 @@ require 'issues_controller'
 
 class IssuesControllerTransactionTest < Redmine::ControllerTest
   tests IssuesController
-  fixtures :projects,
-           :users,
-           :roles,
-           :members,
-           :member_roles,
-           :issues,
-           :issue_statuses,
-           :versions,
-           :trackers,
-           :projects_trackers,
-           :issue_categories,
-           :enabled_modules,
-           :enumerations,
-           :attachments,
-           :workflows,
-           :custom_fields,
-           :custom_values,
-           :custom_fields_projects,
-           :custom_fields_trackers,
-           :time_entries,
-           :journals,
-           :journal_details,
-           :queries
-
   self.use_transactional_tests = false
 
   def setup
diff --git a/test/functional/issues_custom_fields_visibility_test.rb b/test/functional/issues_custom_fields_visibility_test.rb
index c19872134..3955ef861 100644
--- a/test/functional/issues_custom_fields_visibility_test.rb
+++ b/test/functional/issues_custom_fields_visibility_test.rb
@@ -21,19 +21,6 @@ require_relative '../test_helper'
 
 class IssuesCustomFieldsVisibilityTest < Redmine::ControllerTest
   tests IssuesController
-  fixtures :projects,
-           :users, :email_addresses, :user_preferences,
-           :roles,
-           :members,
-           :member_roles,
-           :issue_statuses,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :enumerations,
-           :workflows,
-           :custom_fields, :custom_fields_trackers
-
   def setup
     CustomField.destroy_all
     Issue.delete_all
diff --git a/test/functional/journals_controller_test.rb b/test/functional/journals_controller_test.rb
index 26419e33b..f6549910a 100644
--- a/test/functional/journals_controller_test.rb
+++ b/test/functional/journals_controller_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class JournalsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :members, :member_roles, :roles,
-           :issues, :journals, :journal_details, :enabled_modules,
-           :trackers, :issue_statuses, :enumerations, :custom_fields,
-           :custom_values, :custom_fields_projects, :projects_trackers
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/mail_handler_controller_test.rb b/test/functional/mail_handler_controller_test.rb
index 16eb1fbe2..b27f3dc8a 100644
--- a/test/functional/mail_handler_controller_test.rb
+++ b/test/functional/mail_handler_controller_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class MailHandlerControllerTest < Redmine::ControllerTest
-  fixtures :users, :email_addresses, :projects, :enabled_modules,
-           :roles, :members, :member_roles, :issues, :issue_statuses,
-           :trackers, :projects_trackers, :enumerations, :versions
-
   FIXTURES_PATH = File.dirname(__FILE__) + '/../fixtures/mail_handler'
 
   def setup
diff --git a/test/functional/members_controller_test.rb b/test/functional/members_controller_test.rb
index e97999f13..7e1d96dca 100644
--- a/test/functional/members_controller_test.rb
+++ b/test/functional/members_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class MembersControllerTest < Redmine::ControllerTest
-  fixtures :projects, :members, :member_roles, :roles, :users
-
   def setup
     User.current = nil
     @request.session[:user_id] = 2
diff --git a/test/functional/messages_controller_test.rb b/test/functional/messages_controller_test.rb
index c0723643b..43a1baa83 100644
--- a/test/functional/messages_controller_test.rb
+++ b/test/functional/messages_controller_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class MessagesControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :email_addresses, :user_preferences, :members, :member_roles, :roles, :boards, :messages, :enabled_modules,
-           :watchers
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/my_controller_test.rb b/test/functional/my_controller_test.rb
index b311854f1..342c97a3d 100644
--- a/test/functional/my_controller_test.rb
+++ b/test/functional/my_controller_test.rb
@@ -20,12 +20,6 @@
 require_relative '../test_helper'
 
 class MyControllerTest < Redmine::ControllerTest
-  fixtures :users, :email_addresses, :user_preferences,
-           :roles, :projects, :members, :member_roles,
-           :issues, :issue_statuses, :trackers, :enumerations,
-           :custom_fields, :auth_sources, :queries, :enabled_modules,
-           :journals, :projects_trackers, :issue_categories
-
   def setup
     @request.session[:user_id] = 2
   end
diff --git a/test/functional/news_controller_test.rb b/test/functional/news_controller_test.rb
index fbd609d1e..f1ddfff71 100644
--- a/test/functional/news_controller_test.rb
+++ b/test/functional/news_controller_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class NewsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :enabled_modules, :news, :comments,
-           :attachments, :user_preferences
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/previews_controller_test.rb b/test/functional/previews_controller_test.rb
index 49df91dd3..0dc537ccf 100644
--- a/test/functional/previews_controller_test.rb
+++ b/test/functional/previews_controller_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class PreviewsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :journals, :journal_details,
-           :news
-
   def test_preview_new_issue_description
     @request.session[:user_id] = 2
     post(
diff --git a/test/functional/principal_memberships_controller_test.rb b/test/functional/principal_memberships_controller_test.rb
index 35eb3b665..fe6c1bf1c 100644
--- a/test/functional/principal_memberships_controller_test.rb
+++ b/test/functional/principal_memberships_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class PrincipalMembershipsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :members, :member_roles, :roles, :groups_users
-
   def setup
     @request.session[:user_id] = 1
   end
diff --git a/test/functional/project_enumerations_controller_test.rb b/test/functional/project_enumerations_controller_test.rb
index 1d6d4b5b6..95130db14 100644
--- a/test/functional/project_enumerations_controller_test.rb
+++ b/test/functional/project_enumerations_controller_test.rb
@@ -20,17 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectEnumerationsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :custom_fields, :custom_fields_projects,
-           :custom_fields_trackers, :custom_values,
-           :time_entries
-
   self.use_transactional_tests = false
 
   def setup
diff --git a/test/functional/projects_controller_test.rb b/test/functional/projects_controller_test.rb
index 41b8fb6b9..88851262d 100644
--- a/test/functional/projects_controller_test.rb
+++ b/test/functional/projects_controller_test.rb
@@ -20,14 +20,6 @@
 require_relative '../test_helper'
 
 class ProjectsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :versions, :users, :email_addresses, :roles, :members,
-           :member_roles, :issues, :journals, :journal_details,
-           :trackers, :projects_trackers, :issue_statuses,
-           :enabled_modules, :enumerations, :boards, :messages,
-           :attachments, :custom_fields, :custom_values, :time_entries,
-           :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,
-           :roles, :queries, :issue_categories
-
   include Redmine::I18n
 
   def setup
diff --git a/test/functional/queries_controller_test.rb b/test/functional/queries_controller_test.rb
index 7c8b5cd9a..28423366e 100644
--- a/test/functional/queries_controller_test.rb
+++ b/test/functional/queries_controller_test.rb
@@ -20,13 +20,6 @@
 require_relative '../test_helper'
 
 class QueriesControllerTest < Redmine::ControllerTest
-  fixtures :projects, :enabled_modules,
-           :users, :email_addresses,
-           :members, :member_roles, :roles,
-           :trackers, :issue_statuses, :issue_categories, :enumerations, :versions,
-           :issues, :custom_fields, :custom_values,
-           :queries
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/reports_controller_test.rb b/test/functional/reports_controller_test.rb
index a68c13536..96a56feeb 100644
--- a/test/functional/reports_controller_test.rb
+++ b/test/functional/reports_controller_test.rb
@@ -20,16 +20,6 @@
 require_relative '../test_helper'
 
 class ReportsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :versions,
-           :workflows
-
   def test_get_issue_report
     get(
       :issue_report,
diff --git a/test/functional/repositories_bazaar_controller_test.rb b/test/functional/repositories_bazaar_controller_test.rb
index cf1cb52c2..2122bf3b9 100644
--- a/test/functional/repositories_bazaar_controller_test.rb
+++ b/test/functional/repositories_bazaar_controller_test.rb
@@ -22,9 +22,6 @@ require_relative '../test_helper'
 class RepositoriesBazaarControllerTest < Redmine::RepositoryControllerTest
   tests RepositoriesController
 
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :repositories, :enabled_modules
-
   REPOSITORY_PATH = Rails.root.join('tmp/test/bazaar_repository').to_s
   REPOSITORY_PATH_TRUNK = File.join(REPOSITORY_PATH, "trunk")
   PRJ_ID = 3
diff --git a/test/functional/repositories_controller_test.rb b/test/functional/repositories_controller_test.rb
index e73066809..beae44f68 100644
--- a/test/functional/repositories_controller_test.rb
+++ b/test/functional/repositories_controller_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class RepositoriesControllerTest < Redmine::RepositoryControllerTest
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles, :enabled_modules,
-           :repositories, :issues, :issue_statuses, :changesets, :changes,
-           :issue_categories, :enumerations, :custom_fields, :custom_values, :trackers
-
   def setup
     super
     User.current = nil
diff --git a/test/functional/repositories_cvs_controller_test.rb b/test/functional/repositories_cvs_controller_test.rb
index 9c0e50526..558e58d0a 100644
--- a/test/functional/repositories_cvs_controller_test.rb
+++ b/test/functional/repositories_cvs_controller_test.rb
@@ -22,9 +22,6 @@ require_relative '../test_helper'
 class RepositoriesCvsControllerTest < Redmine::RepositoryControllerTest
   tests RepositoriesController
 
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :repositories, :enabled_modules
-
   REPOSITORY_PATH = Rails.root.join('tmp/test/cvs_repository').to_s
   REPOSITORY_PATH.tr!('/', "\\") if Redmine::Platform.mswin?
   # CVS module
diff --git a/test/functional/repositories_filesystem_controller_test.rb b/test/functional/repositories_filesystem_controller_test.rb
index 0bcb690f3..fea63bcea 100644
--- a/test/functional/repositories_filesystem_controller_test.rb
+++ b/test/functional/repositories_filesystem_controller_test.rb
@@ -22,9 +22,6 @@ require_relative '../test_helper'
 class RepositoriesFilesystemControllerTest < Redmine::RepositoryControllerTest
   tests RepositoriesController
 
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :repositories, :enabled_modules
-
   REPOSITORY_PATH = Rails.root.join('tmp/test/filesystem_repository').to_s
   PRJ_ID = 3
 
diff --git a/test/functional/repositories_git_controller_test.rb b/test/functional/repositories_git_controller_test.rb
index 9fecaf8a0..32fa90e29 100644
--- a/test/functional/repositories_git_controller_test.rb
+++ b/test/functional/repositories_git_controller_test.rb
@@ -22,9 +22,6 @@ require_relative '../test_helper'
 class RepositoriesGitControllerTest < Redmine::RepositoryControllerTest
   tests RepositoriesController
 
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :repositories, :enabled_modules
-
   REPOSITORY_PATH = Rails.root.join('tmp/test/git_repository').to_s
   REPOSITORY_PATH.tr!('/', "\\") if Redmine::Platform.mswin?
   PRJ_ID     = 3
diff --git a/test/functional/repositories_mercurial_controller_test.rb b/test/functional/repositories_mercurial_controller_test.rb
index 9e0d398b1..4af2fcf99 100644
--- a/test/functional/repositories_mercurial_controller_test.rb
+++ b/test/functional/repositories_mercurial_controller_test.rb
@@ -22,9 +22,6 @@ require_relative '../test_helper'
 class RepositoriesMercurialControllerTest < Redmine::RepositoryControllerTest
   tests RepositoriesController
 
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :repositories, :enabled_modules
-
   REPOSITORY_PATH = Rails.root.join('tmp/test/mercurial_repository').to_s
   PRJ_ID     = 3
   NUM_REV    = 43
diff --git a/test/functional/repositories_subversion_controller_test.rb b/test/functional/repositories_subversion_controller_test.rb
index 7b32fa1f7..60dd213e4 100644
--- a/test/functional/repositories_subversion_controller_test.rb
+++ b/test/functional/repositories_subversion_controller_test.rb
@@ -22,10 +22,6 @@ require_relative '../test_helper'
 class RepositoriesSubversionControllerTest < Redmine::RepositoryControllerTest
   tests RepositoriesController
 
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles, :enabled_modules,
-           :repositories, :issues, :issue_statuses, :changesets, :changes,
-           :issue_categories, :enumerations, :custom_fields, :custom_values, :trackers
-
   PRJ_ID = 3
   NUM_REV = 16
 
diff --git a/test/functional/roles_controller_test.rb b/test/functional/roles_controller_test.rb
index 0918be6f0..c343b9bd6 100644
--- a/test/functional/roles_controller_test.rb
+++ b/test/functional/roles_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RolesControllerTest < Redmine::ControllerTest
-  fixtures :roles, :users, :members, :member_roles, :workflows, :trackers
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
diff --git a/test/functional/search_controller_test.rb b/test/functional/search_controller_test.rb
index d9a397343..1a624c3c7 100644
--- a/test/functional/search_controller_test.rb
+++ b/test/functional/search_controller_test.rb
@@ -20,15 +20,6 @@
 require_relative '../test_helper'
 
 class SearchControllerTest < Redmine::ControllerTest
-  fixtures :projects, :projects_trackers,
-           :enabled_modules, :roles, :users, :members, :member_roles,
-           :issues, :trackers, :issue_statuses, :enumerations,
-           :issue_categories, :workflows,
-           :custom_fields, :custom_values,
-           :custom_fields_projects, :custom_fields_trackers,
-           :repositories, :changesets,
-           :user_preferences
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/search_custom_fields_visibility_test.rb b/test/functional/search_custom_fields_visibility_test.rb
index e79f9664e..3308792dc 100644
--- a/test/functional/search_custom_fields_visibility_test.rb
+++ b/test/functional/search_custom_fields_visibility_test.rb
@@ -21,19 +21,6 @@ require_relative '../test_helper'
 
 class SearchCustomFieldsVisibilityTest < Redmine::ControllerTest
   tests SearchController
-  fixtures :projects,
-           :users,
-           :roles,
-           :members,
-           :member_roles,
-           :issue_statuses,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :enumerations,
-           :workflows,
-           :custom_fields, :custom_fields_trackers
-
   def setup
     field_attributes = {:field_format => 'string', :is_for_all => true, :is_filter => true, :searchable => true, :trackers => Tracker.all}
     @fields = []
diff --git a/test/functional/sessions_controller_test.rb b/test/functional/sessions_controller_test.rb
index cc09ad6cd..a6171f311 100644
--- a/test/functional/sessions_controller_test.rb
+++ b/test/functional/sessions_controller_test.rb
@@ -23,8 +23,6 @@ class SessionsControllerTest < Redmine::ControllerTest
   include Redmine::I18n
   tests WelcomeController
 
-  fixtures :users, :email_addresses
-
   def setup
     Rails.application.config.redmine_verify_sessions = true
   end
diff --git a/test/functional/settings_controller_test.rb b/test/functional/settings_controller_test.rb
index 3c013146e..e1b155a92 100644
--- a/test/functional/settings_controller_test.rb
+++ b/test/functional/settings_controller_test.rb
@@ -20,9 +20,6 @@
 require_relative '../test_helper'
 
 class SettingsControllerTest < Redmine::ControllerTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :users, :email_addresses
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
diff --git a/test/functional/sys_controller_test.rb b/test/functional/sys_controller_test.rb
index 17e03b133..7c4bab6a2 100644
--- a/test/functional/sys_controller_test.rb
+++ b/test/functional/sys_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class SysControllerTest < Redmine::ControllerTest
-  fixtures :projects, :repositories, :enabled_modules
-
   def setup
     Setting.sys_api_enabled = '1'
     Setting.enabled_scm = %w(Subversion Git)
diff --git a/test/functional/timelog_controller_test.rb b/test/functional/timelog_controller_test.rb
index 93b4c271b..bc0dfebb9 100644
--- a/test/functional/timelog_controller_test.rb
+++ b/test/functional/timelog_controller_test.rb
@@ -20,13 +20,6 @@
 require_relative '../test_helper'
 
 class TimelogControllerTest < Redmine::ControllerTest
-  fixtures :projects, :enabled_modules, :roles, :members,
-           :member_roles, :issues, :time_entries, :users, :email_addresses,
-           :trackers, :enumerations, :issue_statuses,
-           :custom_fields, :custom_values,
-           :projects_trackers, :custom_fields_trackers,
-           :custom_fields_projects, :issue_categories, :versions
-
   include Redmine::I18n
 
   def setup
diff --git a/test/functional/timelog_custom_fields_visibility_test.rb b/test/functional/timelog_custom_fields_visibility_test.rb
index 0daf90a22..87023b864 100644
--- a/test/functional/timelog_custom_fields_visibility_test.rb
+++ b/test/functional/timelog_custom_fields_visibility_test.rb
@@ -21,19 +21,6 @@ require_relative '../test_helper'
 
 class TimelogCustomFieldsVisibilityTest < Redmine::ControllerTest
   tests TimelogController
-  fixtures :projects,
-           :users, :email_addresses,
-           :roles,
-           :members,
-           :member_roles,
-           :issues, :issue_statuses,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :time_entries, :enumerations,
-           :workflows,
-           :custom_fields, :custom_values, :custom_fields_trackers
-
   def test_index_should_show_visible_custom_fields_only
     prepare_test_data
 
diff --git a/test/functional/timelog_report_test.rb b/test/functional/timelog_report_test.rb
index 0433442dd..b203d07c2 100644
--- a/test/functional/timelog_report_test.rb
+++ b/test/functional/timelog_report_test.rb
@@ -22,13 +22,6 @@ require_relative '../test_helper'
 class TimelogReportTest < Redmine::ControllerTest
   tests TimelogController
 
-  fixtures :projects, :enabled_modules, :roles, :members, :member_roles,
-           :email_addresses,
-           :issues, :time_entries, :users, :trackers, :enumerations,
-           :issue_statuses, :custom_fields, :custom_values,
-           :projects_trackers, :custom_fields_trackers,
-           :custom_fields_projects
-
   include Redmine::I18n
 
   def setup
diff --git a/test/functional/trackers_controller_test.rb b/test/functional/trackers_controller_test.rb
index 61364fc07..f3f614198 100644
--- a/test/functional/trackers_controller_test.rb
+++ b/test/functional/trackers_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class TrackersControllerTest < Redmine::ControllerTest
-  fixtures :trackers, :projects, :projects_trackers, :users, :issues, :custom_fields, :issue_statuses, :enumerations;
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
diff --git a/test/functional/users_controller_test.rb b/test/functional/users_controller_test.rb
index 207c8afa5..ee7256086 100644
--- a/test/functional/users_controller_test.rb
+++ b/test/functional/users_controller_test.rb
@@ -22,13 +22,6 @@ require_relative '../test_helper'
 class UsersControllerTest < Redmine::ControllerTest
   include Redmine::I18n
 
-  fixtures :users, :user_preferences, :email_addresses, :projects, :members, :member_roles, :roles,
-           :custom_fields, :custom_values, :groups_users,
-           :auth_sources,
-           :enabled_modules,
-           :issues, :issue_statuses,
-           :trackers
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
diff --git a/test/functional/versions_controller_test.rb b/test/functional/versions_controller_test.rb
index 0bd7019da..405e6480b 100644
--- a/test/functional/versions_controller_test.rb
+++ b/test/functional/versions_controller_test.rb
@@ -21,13 +21,6 @@ require_relative '../test_helper'
 
 class VersionsControllerTest < Redmine::ControllerTest
   include Redmine::I18n
-  fixtures :projects, :enabled_modules,
-           :trackers, :projects_trackers,
-           :versions, :issue_statuses, :issue_categories, :enumerations,
-           :issues,
-           :users, :email_addresses,
-           :roles, :members, :member_roles
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/versions_custom_fields_visibility_test.rb b/test/functional/versions_custom_fields_visibility_test.rb
index 2e0c15451..1d07bc376 100644
--- a/test/functional/versions_custom_fields_visibility_test.rb
+++ b/test/functional/versions_custom_fields_visibility_test.rb
@@ -21,18 +21,6 @@ require_relative '../test_helper'
 
 class VersionsCustomFieldsVisibilityTest < Redmine::ControllerTest
   tests VersionsController
-  fixtures :projects,
-           :users, :email_addresses,
-           :roles,
-           :members,
-           :member_roles,
-           :issue_statuses,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :versions,
-           :custom_fields, :custom_values, :custom_fields_trackers
-
   def test_show_should_display_only_custom_fields_visible_to_user
     cf1 = VersionCustomField.create!(:name => 'cf1', :field_format => 'string')
     cf2 = VersionCustomField.create!(:name => 'cf2', :field_format => 'string', :visible => false, :role_ids => [1])
diff --git a/test/functional/watchers_controller_test.rb b/test/functional/watchers_controller_test.rb
index c256673fa..c73b84702 100644
--- a/test/functional/watchers_controller_test.rb
+++ b/test/functional/watchers_controller_test.rb
@@ -20,10 +20,6 @@
 require_relative '../test_helper'
 
 class WatchersControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :roles, :members, :member_roles, :enabled_modules,
-           :issues, :trackers, :projects_trackers, :issue_statuses, :enumerations, :watchers,
-           :boards, :messages, :wikis, :wiki_pages
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/welcome_controller_test.rb b/test/functional/welcome_controller_test.rb
index fde599383..ba1a30235 100644
--- a/test/functional/welcome_controller_test.rb
+++ b/test/functional/welcome_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WelcomeControllerTest < Redmine::ControllerTest
-  fixtures :projects, :news, :users, :members, :roles, :member_roles, :enabled_modules
-
   def setup
     Setting.default_language = 'en'
     User.current = nil
diff --git a/test/functional/wiki_controller_test.rb b/test/functional/wiki_controller_test.rb
index fdfaaf805..20822006d 100644
--- a/test/functional/wiki_controller_test.rb
+++ b/test/functional/wiki_controller_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class WikiControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :email_addresses, :roles, :members, :member_roles,
-           :enabled_modules, :wikis, :wiki_pages, :wiki_contents,
-           :wiki_content_versions, :attachments,
-           :issues, :issue_statuses, :trackers, :watchers
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/wikis_controller_test.rb b/test/functional/wikis_controller_test.rb
index 1f5bf8948..20ce56f27 100644
--- a/test/functional/wikis_controller_test.rb
+++ b/test/functional/wikis_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WikisControllerTest < Redmine::ControllerTest
-  fixtures :projects, :users, :roles, :members, :member_roles, :enabled_modules, :wikis
-
   def setup
     User.current = nil
   end
diff --git a/test/functional/workflows_controller_test.rb b/test/functional/workflows_controller_test.rb
index 36fb311d9..b30559d80 100644
--- a/test/functional/workflows_controller_test.rb
+++ b/test/functional/workflows_controller_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class WorkflowsControllerTest < Redmine::ControllerTest
-  fixtures :roles, :trackers, :workflows, :users, :issue_statuses, :custom_fields
-
   def setup
     User.current = nil
     @request.session[:user_id] = 1 # admin
diff --git a/test/helpers/activities_helper_test.rb b/test/helpers/activities_helper_test.rb
index 032237bbe..6884dfda3 100644
--- a/test/helpers/activities_helper_test.rb
+++ b/test/helpers/activities_helper_test.rb
@@ -22,8 +22,6 @@ require_relative '../test_helper'
 class ActivitiesHelperTest < Redmine::HelperTest
   include ActivitiesHelper
 
-  fixtures :projects, :members, :users
-
   class MockEvent
     attr_reader :event_datetime, :event_group, :name
 
diff --git a/test/helpers/application_helper_test.rb b/test/helpers/application_helper_test.rb
index fabaa31ed..bb0ba0c4d 100644
--- a/test/helpers/application_helper_test.rb
+++ b/test/helpers/application_helper_test.rb
@@ -23,17 +23,6 @@ class ApplicationHelperTest < Redmine::HelperTest
   include ERB::Util
   include AvatarsHelper
 
-  fixtures :projects, :enabled_modules,
-           :users, :email_addresses,
-           :members, :member_roles, :roles,
-           :repositories, :changesets,
-           :projects_trackers,
-           :trackers, :issue_statuses, :issues, :versions, :documents, :journals,
-           :wikis, :wiki_pages, :wiki_contents,
-           :boards, :messages, :news,
-           :attachments, :enumerations,
-           :custom_values, :custom_fields, :custom_fields_projects
-
   def setup
     super
     set_tmp_attachments_directory
diff --git a/test/helpers/avatars_helper_test.rb b/test/helpers/avatars_helper_test.rb
index d9d87dd10..f407ae09e 100644
--- a/test/helpers/avatars_helper_test.rb
+++ b/test/helpers/avatars_helper_test.rb
@@ -23,8 +23,6 @@ class AvatarsHelperTest < Redmine::HelperTest
   include ERB::Util
   include AvatarsHelper
 
-  fixtures :users, :email_addresses
-
   def setup
     Setting.gravatar_enabled = '1'
   end
diff --git a/test/helpers/groups_helper_test.rb b/test/helpers/groups_helper_test.rb
index 66abc9808..998c5c295 100644
--- a/test/helpers/groups_helper_test.rb
+++ b/test/helpers/groups_helper_test.rb
@@ -24,8 +24,6 @@ class GroupsHelperTest < Redmine::HelperTest
   include GroupsHelper
   include AvatarsHelper
 
-  fixtures :users
-
   def test_render_principals_for_new_group_users
     group = Group.generate!
 
diff --git a/test/helpers/icons_helper_test.rb b/test/helpers/icons_helper_test.rb
index 01fffd4ca..ab0b58db4 100644
--- a/test/helpers/icons_helper_test.rb
+++ b/test/helpers/icons_helper_test.rb
@@ -22,8 +22,6 @@ require_relative '../test_helper'
 class IconsHelperTest < Redmine::HelperTest
   include IconsHelper
 
-  fixtures :users
-
   def test_sprite_icon_should_return_svg_with_defaults
     expected = %r{<svg class="s18 icon-svg" aria-hidden="true"><use href="/assets/icons-\w+.svg#icon--edit"></use></svg>$}
     icon = sprite_icon('edit')
diff --git a/test/helpers/issues_helper_test.rb b/test/helpers/issues_helper_test.rb
index fd469b986..9745459ce 100644
--- a/test/helpers/issues_helper_test.rb
+++ b/test/helpers/issues_helper_test.rb
@@ -24,17 +24,6 @@ class IssuesHelperTest < Redmine::HelperTest
   include CustomFieldsHelper
   include ERB::Util
 
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :custom_fields,
-           :attachments,
-           :versions, :workflows
-
   def test_issue_heading
     assert_equal "Bug #1", issue_heading(Issue.find(1))
   end
